<?php

if ( ! function_exists( 'calla_elated_register_blog_masonry_template_file' ) ) {
	/**
	 * Function that register blog masonry template
	 */
	function calla_elated_register_blog_masonry_template_file( $templates ) {
		$templates['blog-masonry'] = esc_html__( 'Blog: Masonry', 'calla' );
		
		return $templates;
	}
	
	add_filter( 'calla_elated_register_blog_templates', 'calla_elated_register_blog_masonry_template_file' );
}

if ( ! function_exists( 'calla_elated_set_blog_masonry_type_global_option' ) ) {
	/**
	 * Function that set blog list type value for global blog option map
	 */
	function calla_elated_set_blog_masonry_type_global_option( $options ) {
		$options['masonry'] = esc_html__( 'Blog: Masonry', 'calla' );
		
		return $options;
	}
	
	add_filter( 'calla_elated_blog_list_type_global_option', 'calla_elated_set_blog_masonry_type_global_option' );
}